> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update AutomationTemplate

PATCH https://{tenant_name}.benchling.com/api/v3/automation-template/{automation_template_id}
Content-Type: application/json

Update AutomationTemplate.

Reference: https://docs.benchling.com/docs/api/benchling-api/automation-template/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `automation_template_id` (string, required) — ID of the AutomationTemplate.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

### Body (application/json)

This endpoint expects an object.

- `archiveReason` (string, optional)
- `archived` (boolean, optional)
- `description` (string, optional, nullable) — Updated human-readable description. Must be at most 1500 characters. Set to `null` to clear the existing description; omit to leave it unchanged.
- `name` (string, optional)
- `shouldPublish` (boolean, optional)
- `templateCollectionId` (string, optional)

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `configVariables` (string, optional)
- `createdAt` (string, optional)
- `createdFromPipeline` (AnalysisRef, optional, nullable)
- `creator` (PrincipalRef, optional)
- `dataFrameVariables` (string, optional)
- `id` (string, optional)
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `steps` (string, optional)
- `templateCollection` (TemplateCollectionRef, optional)
- `webUrl` (string, optional, nullable)

## Errors

### 400 Automation Template Update Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Automation Template Update Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Automation Template Update Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 409 Automation Template Update Request Conflict Error

Conflict

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Automation Template Update Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 500 Automation Template Update Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### AnalysisRef

- `__typename` (string, optional)
- `id` (string, optional)

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### TemplateCollectionRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "configVariables": "configVariables",
  "createdAt": "createdAt",
  "createdFromPipeline": {
    "__typename": "__typename",
    "id": "id"
  },
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "dataFrameVariables": "dataFrameVariables",
  "id": "id",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "steps": "steps",
  "templateCollection": {
    "__typename": "__typename",
    "id": "id"
  },
  "webUrl": "webUrl"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/automation-template/automation_template_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/automation-template/automation_template_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```